define("game/main",[
	"utils/Background",
	"sdkcustom/FixedEngine",
	"sdk/EventManager",
	"sdk/GameData",
	"utils/LocalStorage",
	"utils/Preloader",
	"sdk/Sound",
	"utils/FileSystem"
], function(Background, FixedEngine, EventManager, GameData, LocalStorage, Preloader, Sound, FileSystem){
	FileSystem.retroMode = true;
			
	var 
		Eng = new FixedEngine('main', false)
	;
	
		window.gameObj.initializeGameCanvas(Eng.canvas);

	// wake up firefox bug
	if (!window.GameContainer.browserInfo.touchDevice) {
		var bgMusic = document.createElement('audio');
		var audioformat = (navigator.userAgent.toLowerCase().indexOf('firefox') > -1) ? "ogg" : "mp3" ;
		bgMusic.src = "media/music/silence." + audioformat;
		document.body.appendChild(bgMusic);
		bgMusic.play();
	}
	
			
	LocalStorage.key = "Radio_v13";
	
    var bgObj = new Image();
		bgObj.src = 'media/images/screens/loader/bg.jpg';
      		
	var barObj = new Image();
      	barObj.src = 'media/images/screens/loader/progressBar.png';

    var ardy = new Image();
      	ardy.src = 'media/images/screens/loader/ardy.png';

	Preloader.canvas = Eng.canvas;

	Preloader.update = function(p, clickNeeded){
		this.context.drawImage(bgObj, 0, 0);
		if(p == 0){
			p = 1;
		}
		this.context.drawImage(barObj, 0, 0, 538 * (p * 0.01), 48, 298, 312, 538 * (p * 0.01), 48);

		this.context.drawImage(ardy, 267+(522 * p * 0.01), 243);

		this.context.font = "30px NexaBold";
		this.context.fillText("Preload NexaBold", 2000, 2000);

		this.context.font = "30px GeomGraphicSemiBoldItalic";
		this.context.fillText("Preload GeomGraphicSemiBoldItalic", 2000, 2000);
	}
	//GameData.set("selectedLevel",4);
	Eng.loadMenu("title");
});