;(function(window){
	
	if ( typeof define === "function" && define.amd ) {
		define( "sdkcustom/DynamicWidthTextField", ["sdk/TextField"], function (TextField) {
			
			Arstider.Inherit(DynamicWidthTextField, TextField);
			function DynamicWidthTextField(name){
				Arstider.Super(this, TextField, name);
			}
			
			DynamicWidthTextField.prototype.render = function(){
				this.makeBuffer();
				// this generic-sized buffer MIGHT need to be garbage-collected, I'm actually not sure
				// alternately we could try assigning the font data to the engine's canvas and measuring off that?
				this.width = Math.round(this.dataCtx.measureText(this.myText).width) + this.font.shadowBlur*2 + this.font.lineWidth + 4;
				console.log("DYNAMIC WIDTH CALCULATED TO BE:");
				console.log(this.width);
				this.Inherit(TextField.prototype.render);
			}
			
			return DynamicWidthTextField;
			
		});
	}
	else{
		rjsError("DynamicWidthTextField");
	}
})(window);