/**
 * Fixed Sprite
 * 
 * Doesn't automatically start a timer.
 *
 * @author Andrew Fraticelli <andrewf@meetfidel.com>
 */
;(function(window){

	/**
	 * AMD Closure
	 */	
	if ( typeof define === "function" && define.amd ) {
		define( "sdkcustom/SpriteFixed", ["core/Entity","sdk/Sprite"], function (Entity,Sprite) {
			
			Arstider.Inherit(SpriteFixed, Sprite);
			function SpriteFixed(name) { 
				Arstider.Super(this, Entity, name);
				
				this.currentAnim = null;
				this.currentFrame = -1;
				
			};
			
			//SpriteFixed.prototype = Object.create(Sprite.prototype);
			
			return SpriteFixed;
			
		});
	}
	else{
		rjsError("SpriteFixed");
	}
})(window);