/*
	JSON STRING FILE

	- Regroup element by screens
	- Use format "@key": { "value": "@value" }
	- Use "@@" to generate breakline, "@@@@" to generate paragraph
	- Use shortcut (Ex. "%%") when you required to insert dynamic value
*/

var dictionary = {

	// Preloader

	// Title
	"TitleBadgeYear": { "value": "2014" },
	"TitleBadgeEdition": { "value": "EDITION" },
	"TitleMessaging": { "value": "Premieres Sunday, April 26@@8/7c On Disney Channel" },
	"Play": { "value": "PLAY" },
	"NewGame": { "value": "NEW GAME" },
	"Continue": { "value": "CONTINUE" },
	"AllToken": { "value": "Token Found!"},

	// Story
	"StoryText": { "value": "Help ARDY on his musical journey by collecting music notes and artist tokens!" },
	"Next": { "value": "Next" },

	// Choose Level
	"ChooseLevelTitle": { "value": "Choose Level" },
	"Level0": { "value": "?" },
	"Level0Title": { "value": "TUTORIAL" },
	"Level1": { "value": "1" },
	"Level1Title": { "value": "ARDY VIP" },
	"Level2": { "value": "2" },
	"Level2Title": { "value": "ARDY SPOTLIGHT" },
	"Level3": { "value": "3" },
	"Level3Title": { "value": "ARDY PARTY" },
	"Highscore": { "value": "High score :" },
	"Rating": { "value": "Rating : " },
	"Note": { "value": "Notes % :" },
	"NoteValue": { "value": " %% %" },
	"ArtistTokens": { "value": "Artist tokens :" },

	// Collection
	"CollectionTitle": { "value": "Artist token collection" },
	"CollectionText": { "value": "Replay level to collect all tokens!" },

	"Artist1Name": { "value": "One Direction" },
	"Artist1Description": { "value": "Simon Cowell put Liam, Harry, Louis, Niall, and Zayn together as One Direction on the seventh season of The X Factor UK. Their first hit single was \"What Makes You Beautiful\" and it could be argued that their best song ever is \"Best Song Ever.\" During \"1D Day,\" a 7.5 hour live-stream full of their fun antics, a lucky Radio Disney fan got to be on Niall's team and play a game with the group." },
	"Artist2Name": { "value": "R5" },
	"Artist2Description": { "value": "R5, made of siblings Ross, Riker, Rydel, Rocky, and Ratliff, has been traveling around Europe on their Louder Tour. Frontman Ross can also be seen singing on Disney Channel's Austin & Ally and Teen Beach Movie. The Radio Disney \"N.B.T.\" featured artist filmed their video for \"(I Can't) Forget About You\" in Japan." },
	"Artist3Name": { "value": "Taylor Swift" },
	"Artist3Description": { "value": "Singer/songwriter Taylor Swift has sold more than 26 million albums worldwide. She has release 30 music videos. Taylor's first hit on Radio Disney was \"Teardrops on My Guitar\" in 2007. The \"I Knew You Were Trouble\" singer's favorite color is red, which is also the name of her most recent album." },
	"Artist4Name": { "value": "Demi Lovato" },
	"Artist4Description": { "value": "Demi Lovato is currently traveling around the world headlining the Neon Lights Tour. She starred in Disney Channel's Camp Rock, Camp Rock 2, and Sonny With A Chance and was a judge on the last two seasons of The X Factor. Radio Disney was the first station to play her music. She is grateful to be part of the Oscar winning song \"Let it Go\" and loves dying her hair bright colors."},
	"Artist5Name": { "value": "Katy Perry" },
	"Artist5Description": { "value": "International superstar Katy Perry has taken over the world with her energetic songs and fun fashion. She has a cat named Kitty Purry, who makes a cameo in the \"Roar\" lyric video. Katy considers herself to be a \"singer-songwriter masquerading as a pop star.\" Katy hosted the top 10 songs of the year during Radio Disney's 2013 Top 50 Countdown on New Year's Eve."},	

	"Artist1Name_2015": { "value": "One Direction" },
	"Artist1Description_2015": { "value": "Simon Cowell put Liam, Harry, Louis, Niall, and Zayn together as One Direction on the seventh season of The X Factor UK. Their first hit single was \"What Makes You Beautiful\" and in 2014 they released their fourth album \“Four.\” They are currently on their On The Road Again Tour. For the past two years, 1D has taken home an ARDY for They’re The One - Best Music Group and in 2013 Directioners won So FANtastic – Fiercest Fans." },
	"Artist2Name_2015": { "value": "Ariana Grande" },
	"Artist2Description_2015": { "value": "Ariana Grande released her second album \“My Everything\” in 2014. It was her second #1 album in less than a year, following her \“Yours Truly\” debut! Ariana premiered her hit song \“Problem\” featuring Iggy Azalea at the 2014 RDMAs. She took home the ARDY for the Chart Topper Award." },
	"Artist3Name_2015": { "value": "Becky G" },
	"Artist3Description_2015": { "value": "Born and raised in Inglewood, California, Becky G has worked with some of the biggest names in music, including Jennifer Lopez, Pitbull, will.i.am, Cody Simpson, and Cher Lloyd. In 2014 Becky G was recognized as Radio Disney's \"N.B.T.\" featured artist. That same year her songs \“Shower\” and \“Can’t Stop Dancin’\” were breakout hits. At last year's RDMAs, Becky G performed \“Can’t Get Enough\” and won The Freshest – Best New Artist."},	
	"Artist4Name_2015": { "value": "Nick Jonas" },
	"Artist4Description_2015": { "value": "Once part of the world famous band Jonas Brothers, Nick Jonas released his self-titled album in 2014. His single \“Jealous\” quickly climbed to the top of the charts. Nick started performing on Broadway at the age of seven. He was in the Disney Channel Original Movies Camp Rock and Camp Rock 2 alongside his brothers and Demi Lovato. Demi is featured on a song on Nick’s album."},
	"Artist5Name_2015": { "value": "Taylor Swift" },
	"Artist5Description_2015": { "value": "In 2014 Taylor Swift released her album \“1989,\” which debuted at #1, making her the first and only artist to release three albums that sold more than one million copies in a week. Taylor's first hit on Radio Disney was \"Teardrops on My Guitar\" in 2007. Taylor’s fans, Swifties, won So FANtastic – Fiercest Fans at the 2014 RDMAs. She also won Musical Mashup – Best Musical Collaboration with Ed Sheeran for their song \“Everything Has Changed.\” In 2013 she took home the ARDY for The Bestest – Song Of The Year for \“I Knew You Were Trouble.\"" },

	// Htp
	"HtpTitle": { "value": "HOW TO PLAY" },
	"htp1desktop": { "value": "Press \"up\" to jump" },
	"htp1mobile": { "value": "Tap to jump" },
	"htp2": { "value": "Collect all the artist tokens" },
	"htp3": { "value": "Avoid the obstacles" },
	"htp4": { "value": "Don't miss a note!" },
	"htp5": { "value": "Bounce to the bonus section!" },
	
	// Win
	"WinTitle": { "value": "GREAT JOB!" },
	"Score": { "value": "Score :" },
	"ArtistTokenFound": { "value": "Artist token found!" },
	"replayToken": { "value": "Replay a level to find all tokens!" },
	"replayTokenAll": { "value": "All level %% tokens found!" },
	"share": { "value": "Share Your Score" },
	
	// Fail
	"FailTitle": { "value": "OH NO!" },
	"FailText": { "value": "YOU WERE ALMOST THERE.@@TRY AGAIN!" },

	// End
	"EndTitle": { "value": "AWESOME!" },
	"EndText": { "value": "YOU COLLECTED ALL THE ARTIST TOKENS!" },

	// Overlay
	"ResetTitle": { "value": "NEW GAME" },
	"ResetText": { "value": "All game data will be lost.@@Do you want to continue?" },
	"QuitTitle": { "value": "QUIT" },
	"QuitText": { "value": "Are you sure you want to quit?" },

	// Common
	"Yes": { "value": "YES" },
	"No": { "value": "NO" },
	"Close": { "value": "CLOSE" },
	"Combo": { "value": "COMBO" },
	"x": { "value": "X%%" }
};







